CVE-2005-0926
CVSS5.1
发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-10 15:37:28
NMCOS    

[原文]Buffer overflow in Sylpheed before 1.0.4 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via attachments with MIME-encoded file names.


[CNNVD]Sylpheed MIME-Encoded附件名缓冲区溢出漏洞(CNNVD-200505-646)

        Sylpheed的1.0.4之前版本存在缓冲区溢出,远程攻击者可以通过带有MIME编码文件名的附件来发起拒绝服务攻击(崩溃)并可能执行任意代码。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:sylpheed:sylpheed:0.8.11
cpe:/a:sylpheed:sylpheed:1.0.2
cpe:/a:sylpheed:sylpheed:1.0.0
cpe:/a:sylpheed:sylpheed:0.9.9
cpe:/a:sylpheed:sylpheed:0.9.7
cpe:/a:sylpheed:sylpheed:0.9.6
cpe:/a:sylpheed:sylpheed:0.9.11
cpe:/a:sylpheed:sylpheed:0.9.4
cpe:/a:sylpheed:sylpheed:1.0.3
cpe:/a:sylpheed:sylpheed:0.9.10
cpe:/a:sylpheed:sylpheed:1.0.1
cpe:/a:sylpheed:sylpheed:0.9.5
cpe:/a:sylpheed:sylpheed:0.9.8
cpe:/a:sylpheed:sylpheed:0.9.12

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0926
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0926
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-646
(官方数据源) CNNVD

- 其它链接及资源

http://sylpheed.good-day.net/changelog.html.en
(UNKNOWN)  CONFIRM  http://sylpheed.good-day.net/changelog.html.en

- 漏洞信息

Sylpheed MIME-Encoded附件名缓冲区溢出漏洞
中危 缓冲区溢出
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        Sylpheed的1.0.4之前版本存在缓冲区溢出,远程攻击者可以通过带有MIME编码文件名的附件来发起拒绝服务攻击(崩溃)并可能执行任意代码。

- 公告与补丁

        暂无数据

- 漏洞信息

15125
Sylpheed MIME-encoded Attachment Filename Overflow
Input Manipulation
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-03-24 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.0.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Sylpheed MIME-Encoded Attachment Name Buffer Overflow Vulnerability
Boundary Condition Error 12934
Yes No
2005-03-29 12:00:00 2009-07-12 11:56:00
Announced by the vendor.

- 受影响的程序版本

Sylpheed Sylpheed 1.9.4
Sylpheed Sylpheed 1.9.3
Sylpheed Sylpheed 1.9.2
Sylpheed Sylpheed 1.9.1
Sylpheed Sylpheed 1.9
Sylpheed Sylpheed 1.0.3
+ Gentoo Linux 1.4 _rc3
+ Gentoo Linux 1.4 _rc2
+ Gentoo Linux 1.4 _rc1
+ Gentoo Linux 1.4
Sylpheed Sylpheed 1.0.2
Sylpheed Sylpheed 1.0.1
Sylpheed Sylpheed 1.0 .0
+ Turbolinux Home
+ Turbolinux Turbolinux Desktop 10.0
+ Turbolinux Turbolinux Server 10.0
+ Turbolinux Turbolinux Server 8.0
+ Turbolinux Turbolinux Server 7.0
+ Turbolinux Turbolinux Workstation 8.0
+ Turbolinux Turbolinux Workstation 7.0
Sylpheed Sylpheed 0.9.99
Sylpheed Sylpheed 0.9.12
Sylpheed Sylpheed 0.9.11
Sylpheed Sylpheed 0.9.10
Sylpheed Sylpheed 0.9.9
Sylpheed Sylpheed 0.9.8
Sylpheed Sylpheed 0.9.7
Sylpheed Sylpheed 0.9.6
Sylpheed Sylpheed 0.9.5
Sylpheed Sylpheed 0.9.4
+ S.u.S.E. Linux Personal 9.3
+ S.u.S.E. Linux Personal 9.2 x86_64
+ S.u.S.E. Linux Personal 9.2
+ S.u.S.E. Linux Personal 9.1 x86_64
+ S.u.S.E. Linux Personal 9.1
+ S.u.S.E. Linux Personal 9.0 x86_64
+ S.u.S.E. Linux Personal 9.0
Sylpheed Sylpheed 0.8.11
Sylpheed Sylpheed 0.8
Red Hat Fedora Core3
Red Hat Fedora Core2
Sylpheed Sylpheed 1.9.5
Sylpheed Sylpheed 1.0.4
+ Debian Linux 3.1 sparc
+ Debian Linux 3.1 s/390
+ Debian Linux 3.1 ppc
+ Debian Linux 3.1 mipsel
+ Debian Linux 3.1 mips
+ Debian Linux 3.1 m68k
+ Debian Linux 3.1 ia-64
+ Debian Linux 3.1 ia-32
+ Debian Linux 3.1 hppa
+ Debian Linux 3.1 arm
+ Debian Linux 3.1 amd64
+ Debian Linux 3.1 alpha
+ Debian Linux 3.1

- 不受影响的程序版本

Sylpheed Sylpheed 1.9.5
Sylpheed Sylpheed 1.0.4
+ Debian Linux 3.1 sparc
+ Debian Linux 3.1 s/390
+ Debian Linux 3.1 ppc
+ Debian Linux 3.1 mipsel
+ Debian Linux 3.1 mips
+ Debian Linux 3.1 m68k
+ Debian Linux 3.1 ia-64
+ Debian Linux 3.1 ia-32
+ Debian Linux 3.1 hppa
+ Debian Linux 3.1 arm
+ Debian Linux 3.1 amd64
+ Debian Linux 3.1 alpha
+ Debian Linux 3.1

- 漏洞讨论

Sylpheed is prone to a buffer overflow when handling email attachments with MIME-encoded file names.

Succesful exploitation may allow arbitrary code execution in the security context of the application.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

This issue has been addressed in Sylpheed 1.0.4 and 1.9.5.

Fedora has released advisories and fixes for Fedora Core 2 and Core 3.

Upgrades are available for users of Gentoo Linux:

All Sylpheed users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=mail-client/sylpheed-1.0.4"

All Sylpheed-claws users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=mail-client/sylpheed-claws-1.0.4"

For more information, please see the referenced Gentoo Linux advisory.

TurboLinux has released advisory TLSA-2005-44 along with fixes dealing with this issue. Please see the referenced advisory for more information.


Red Hat Fedora Core2

Red Hat Fedora Core3

Sylpheed Sylpheed 0.8

Sylpheed Sylpheed 0.8.11

Sylpheed Sylpheed 0.9.10

Sylpheed Sylpheed 0.9.11

Sylpheed Sylpheed 0.9.12

Sylpheed Sylpheed 0.9.4

Sylpheed Sylpheed 0.9.5

Sylpheed Sylpheed 0.9.6

Sylpheed Sylpheed 0.9.7

Sylpheed Sylpheed 0.9.8

Sylpheed Sylpheed 0.9.9

Sylpheed Sylpheed 0.9.99

Sylpheed Sylpheed 1.0 .0

Sylpheed Sylpheed 1.0.1

Sylpheed Sylpheed 1.0.2

Sylpheed Sylpheed 1.0.3

Sylpheed Sylpheed 1.9

Sylpheed Sylpheed 1.9.1

Sylpheed Sylpheed 1.9.2

Sylpheed Sylpheed 1.9.3

Sylpheed Sylpheed 1.9.4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站